Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028163
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2014-11-12 17:322014-12-30 23:27
ReportermaiteView Statuspublic 
Assigned Toreinaldoguerra 
PriorityurgentResolutionfixedFixed in Version3.0PR15Q1
StatusclosedFix in branchFixed in SCM revision83546adbc105
ProjectionnoneETAnoneTarget Version3.0PR15Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028163: "java.lang.IllegalArgumentException: node to traverse cannot be null!" error when trying to Unpost an Order

Description"java.lang.IllegalArgumentException: node to traverse cannot be null!" error when trying to Unpost an Order
Steps To Reproduce1. Display "Posted" field in Purchase Order window
2. Define Accounting process for Orders
3. Register Purchase Order, add line, complete and post order
4. Try to Unpost order and following error will be raised in the application "Error Deleting Accounting" (log shows "java.lang.IllegalArgumentException: node to traverse cannot be null!" error)

I can provide environment where problem is directly reproducible
Proposed Solutionproblem is in line 223 of ResetAccounting.java. When trying to execute following line for "Order" entity error is raised (however it is not raised executing same sentence for "Invoice" entity)

final Query update = OBDal.getInstance().getSession().createQuery(strUpdate);
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0028330 closedreinaldoguerra "java.lang.IllegalArgumentException: node to traverse cannot be null!" error when executing Reset Accounting 
related to defect 0030663 closedAtulOpenbravo Error Reseting Accounting if a table without processing column or with acctdate_column_id null is included in GL configuration 
related to design defect 0037708 acknowledgedplatform Update of Order table not working in HQL 

-  Notes
(0072049)
reinaldoguerra (developer)
2014-11-27 00:33

Test plan used:
1- Login into Openbravo ERP
2- As System Administrator go to Purchase Order Window
3- Display Posted field
4- Logout and login
5- Go to General Ledger Configuration window
6- Select F&B EspaƱa, S.A. US/A/Euro record
7- Go to Active tables tab and select Order
8- Set active flag as true
9- Define Accounting process for Orders or go to the next step.
10- Register a Purchase Order, add line.
11- Book the order and then post it. Realize that a posting error is launched if you do not define an Accounting process (step 9)
12- Try to unpost the order, check "Delete accounting entry" flag. Now the process is executed successfuly, take into account that if no posting process is executed before, there were no unposted documents or deleted journal entries.
13- Repeat steps 11 and 12 for other entities (windows) such as Amortization, Invoice or Goods Shipment. Unpost process will be executed successfuly.
(0072606)
hgbot (developer)
2014-12-17 11:13

Repository: erp/devel/pi
Changeset: 83546adbc105df9b909b73171672783412ee9400
Author: Reinaldo Guerra <reinaldo.guerra <at> peoplewalking.com>
Date: Wed Nov 26 23:32:57 2014 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/83546adbc105df9b909b73171672783412ee9400 [^]

Fixed bug 28163: IllegalArgumentException error when trying to unpost an Order.

HQL Query when updating order status during unpost process, launches an hibernate exception when parsing "Order" keyword. In order to avoid this, ResetAccounting java class was changed to use native SQL Query instead of HQL Query when unposting entities.
This changes in code takes into account all kind of unposteable openbravo entities. Now it is possible to unpost an order successfuly.

---
M src/org/openbravo/financial/ResetAccounting.java
---
(0072607)
Sandrahuguet (developer)
2014-12-17 11:13

Code review + testing OK
(0073229)
hudsonbot (developer)
2014-12-30 23:27

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-11-12 17:32 maite New Issue
2014-11-12 17:32 maite Assigned To => AugustoMauch
2014-11-12 17:32 maite Modules => Core
2014-11-12 17:32 maite Triggers an Emergency Pack => No
2014-11-12 17:33 maite Steps to Reproduce Updated View Revisions
2014-11-12 17:33 maite Issue Monitored: networkb
2014-11-13 09:52 alostale Assigned To AugustoMauch => Sandrahuguet
2014-11-26 16:44 reinaldoguerra Assigned To Sandrahuguet => reinaldoguerra
2014-11-26 16:44 reinaldoguerra Status new => scheduled
2014-11-27 00:33 reinaldoguerra Note Added: 0072049
2014-12-01 18:01 reinaldoguerra Relationship added related to 0028330
2014-12-17 11:13 hgbot Checkin
2014-12-17 11:13 hgbot Note Added: 0072606
2014-12-17 11:13 hgbot Status scheduled => resolved
2014-12-17 11:13 hgbot Resolution open => fixed
2014-12-17 11:13 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/83546adbc105df9b909b73171672783412ee9400 [^]
2014-12-17 11:13 Sandrahuguet Review Assigned To => Sandrahuguet
2014-12-17 11:13 Sandrahuguet Note Added: 0072607
2014-12-17 11:13 Sandrahuguet Status resolved => closed
2014-12-17 11:13 Sandrahuguet Fixed in Version => 3.0PR15Q1
2014-12-30 23:27 hudsonbot Checkin
2014-12-30 23:27 hudsonbot Note Added: 0073229
2015-08-25 12:34 ngarcia Relationship added related to 0030663
2018-01-23 18:52 aferraz Relationship added related to 0037708


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker